Webcam preview have half image display and black screen in some resolutions

Bug #1229576 reported by Gavin Guo on 2013-09-24
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
High
Gavin Guo
linux (Ubuntu)
High
Gavin Guo
Nominated for Precise by Gavin Guo
Nominated for Quantal by Gavin Guo
Nominated for Raring by Gavin Guo

Bug Description

Dell System Inspiron 14 7000 Series 7437

CPU: Intel(R) Core(TM) i7-4500U CPU @ 1.80GHz (4x)
GPU: 00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 09)
BiosVersion: X21

HA4-E3-C1 Primax (0bda:5601 , 50-77501WNC8)
HA7-E3-C2 Liteon (0bda:5750, _13P2SF109)

Both of the modules use realtek chipset.

In the 1280x720 resolution only have half image displayed camera preview and still image; in 960x540 resolution camera preview displayed with full black but camera LED is enabled.

Furthermore, camera test "multiple-resolution-images" also failed.
When testing by manually take still images in different resolution, camera will hangs when switch to another resolution.

Steps:
1. install manifest X08 and boot into OS
2. Run camera test "multiple-resolution-images" which takes multiple pictures based on the resolution supported by the camera and validates their sizze and that they are of a valid format.

Expected results: Test got passed with multiple images successfully taked in each resolution.

Actual results: Can't take still image in each resolution.

Gavin Guo (mimi0213kimo) on 2013-09-24
no longer affects: linux-lts-quantal (Ubuntu)
Changed in hwe-next:
assignee: nobody → Gavin Guo (mimi0213kimo)
status: New → Confirmed
Shawn Wang (shawn111) wrote :

Here is the testing linux-image package with #1,#2 patches.
http://kernel.ubuntu.com/~gavinguo/linux-image-3.5.0-41-generic_3.5.0-41.64~precise1_amd64.deb

I did few stress test on below test platforms:
HA4-E3-C1 Primax (0bda:5601 , 50-77501WNC8)
HA7-E3-C2 Liteon (0bda:5750, _13P2SF109)

The test platforms work good in the tests:
 preview with resolution change (cheese/guvcview)
 Take photos.
 S3 stress 30 times than preview and take photos.

Shawn Wang (shawn111) wrote :

The dmesg of guvcview preview with resolution change on HA7-E3-C2 Liteon (0bda:5750, _13P2SF109)

kernel: http://kernel.ubuntu.com/~gavinguo/linux-image-3.5.0-41-generic_3.5.0-41.64~precise1_amd64.deb

Shawn Wang (shawn111) wrote :

Test other usb devices, all works.

USB mouse (8564:1000)
usb disk (0781:5571 SanDisk Corp.)
usb bt (8087:07dc)

Changed in hwe-next:
importance: Undecided → High
tags: added: patch
Shawn Wang (shawn111) wrote :

Test 3 other usb chipsets, all of the usb functions are good.

==> amz-pst-c2/lspci <==
00:00.0 Host bridge: Intel Corporation Haswell DRAM Controller (rev 06)
==> me5-e3-i1/lspci <==
00:00.0 Host bridge: Intel Corporation Ivy Bridge DRAM Controller (rev 08)
==> osaka8/lspci <==
00:00.0 Host bridge: Advanced Micro Devices [AMD] Family 14h Processor Root Complex

Anthony Wong (anthonywong) wrote :

Already applied to ubuntu-quantal master-next branch.

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-quantal' to 'verification-done-quantal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-quantal
Gavin Guo (mimi0213kimo) on 2013-10-31
tags: added: verification-done-quantal
removed: verification-needed-quantal
Launchpad Janitor (janitor) wrote :
Download full text (19.1 KiB)

This bug was fixed in the package linux - 3.5.0-43.66

---------------
linux (3.5.0-43.66) quantal; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1242895

  [ Timo Aaltonen ]

  * SAUCE: ubuntu/i915: silence unclaimed register poking debug messages
    - LP: #1138787

  [ Upstream Kernel Changes ]

  * Revert "xfs: fix _xfs_buf_find oops on blocks beyond the filesystem
    end"
    - LP: #1236041
    - CVE-2013-1819 fix backport:
  * Revert "sctp: fix call to SCTP_CMD_PROCESS_SACK in
    sctp_cmd_interpreter()"
    - LP: #1241093
  * get rid of full-hash scan on detaching vfsmounts
    - LP: #1226726
  * Smack: Fix the bug smackcipso can't set CIPSO correctly
    - LP: #1236743
  * SAUCE: (no-up) Only let characters through when there are active
    readers.
    - LP: #1208740
  * usb: xhci: define port register names and use them instead of magic
    numbers
    - LP: #1229576
  * usb: xhci: add USB2 Link power management BESL support
    - LP: #1229576
  * iwl4965: fix rfkill set state regression
    - LP: #1241093
  * ath9k_htc: Restore skb headroom when returning skb to mac80211
    - LP: #1241093
  * ALSA: opti9xx: Fix conflicting driver object name
    - LP: #1241093
  * SUNRPC: Fix memory corruption issue on 32-bit highmem systems
    - LP: #1241093
  * drm/i915: ivb: fix edp voltage swing reg val
    - LP: #1241093
  * drm/vmwgfx: Split GMR2_REMAP commands if they are to large
    - LP: #1241093
  * ALSA: ak4xx-adda: info leak in ak4xxx_capture_source_info()
    - LP: #1241093
  * Bluetooth: Add support for Foxconn/Hon Hai [0489:e04d]
    - LP: #1241093
  * [SCSI] sg: Fix user memory corruption when SG_IO is interrupted by a
    signal
    - LP: #1241093
  * xen-gnt: prevent adding duplicate gnt callbacks
    - LP: #1241093
  * usb: config->desc.bLength may not exceed amount of data returned by the
    device
    - LP: #1241093
  * USB: cdc-wdm: fix race between interrupt handler and tasklet
    - LP: #1241093
  * xhci-plat: Don't enable legacy PCI interrupts.
    - LP: #1241093
  * ASoC: wm8960: Fix PLL register writes
    - LP: #1241093
  * rculist: list_first_or_null_rcu() should use list_entry_rcu()
    - LP: #1241093
  * USB: mos7720: use GFP_ATOMIC under spinlock
    - LP: #1241093
  * USB: mos7720: fix big-endian control requests
    - LP: #1241093
  * staging: comedi: dt282x: dt282x_ai_insn_read() always fails
    - LP: #1241093
  * usb: ehci-mxc: check for pdata before dereferencing
    - LP: #1241093
  * usb: xhci: Disable runtime PM suspend for quirky controllers
    - LP: #1241093
  * USB: OHCI: Allow runtime PM without system sleep
    - LP: #1241093
  * ACPI / EC: Add HP Folio 13 to ec_dmi_table in order to skip DSDT scan
    - LP: #1241093
  * ACPI / EC: Add ASUSTEK L4R to quirk list in order to validate ECDT
    - LP: #1241093
  * USB: fix build error when CONFIG_PM_SLEEP isn't enabled
    - LP: #1241093
  * ALSA: hda - hdmi: Fallback to ALSA allocation when selecting CA
    - LP: #1241093
  * regmap: silence GCC warning
    - LP: #1241093
  * target: Fix trailing ASCII space usage in INQUIRY vendor+model
    - LP: #1241093
  * iwlwifi: dvm: don't send BT_CONFIG on devices w/o Bluetooth
    - LP: #1...

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Gavin Guo (mimi0213kimo) on 2013-11-27
Changed in hwe-next:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers